The system is: Linux - 5.4.0-150-generic - x86_64
Compiling the C compiler identification source file "CMakeCCompilerId.c" succeeded.
Compiler: /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc 
Build flags: 
Id flags:  

The output was:
0


Compilation of the C compiler identification source "CMakeCCompilerId.c" produced "a.out"

The C compiler identification is GNU, found in "/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles/3.15.7/CompilerIdC/a.out"

Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" succeeded.
Compiler: /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-g++ 
Build flags: 
Id flags:  

The output was:
0


Compilation of the CXX compiler identification source "CMakeCXXCompilerId.cpp" produced "a.out"

The CXX compiler identification is GNU, found in "/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles/3.15.7/CompilerIdCXX/a.out"

Determining if the C compiler works passed with the following output:
Change Dir: /home/book/hisi3518_lora/cmake-build-debug/CMakeFiles/CMakeTmp

Run Build Command(s):/usr/bin/make cmTC_ef8a9/fast && /usr/bin/make -f CMakeFiles/cmTC_ef8a9.dir/build.make CMakeFiles/cmTC_ef8a9.dir/build
make[1]: Entering directory '/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles/CMakeTmp'
Building C object CMakeFiles/cmTC_ef8a9.dir/testCCompiler.c.o
/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc    -o CMakeFiles/cmTC_ef8a9.dir/testCCompiler.c.o   -c /home/book/hisi3518_lora/cmake-build-debug/CMakeFiles/CMakeTmp/testCCompiler.c
Linking C executable cmTC_ef8a9
/usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_ef8a9.dir/link.txt --verbose=1
/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc      CMakeFiles/cmTC_ef8a9.dir/testCCompiler.c.o  -o cmTC_ef8a9 
make[1]: Leaving directory '/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles/CMakeTmp'



Detecting C compiler ABI info compiled with the following output:
Change Dir: /home/book/hisi3518_lora/cmake-build-debug/CMakeFiles/CMakeTmp

Run Build Command(s):/usr/bin/make cmTC_cd9c5/fast && /usr/bin/make -f CMakeFiles/cmTC_cd9c5.dir/build.make CMakeFiles/cmTC_cd9c5.dir/build
make[1]: Entering directory '/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles/CMakeTmp'
Building C object CMakeFiles/cmTC_cd9c5.dir/CMakeCCompilerABI.c.o
/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc   -v -o CMakeFiles/cmTC_cd9c5.dir/CMakeCCompilerABI.c.o   -c /usr/local/share/cmake-3.15/Modules/CMakeCCompilerABI.c
Using built-in specs.
COLLECT_GCC=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc
Target: arm-hisiv300-linux-uclibcgnueabi
Configured with: '../gcc~linaro-4.8-2013.12/configure' --host=i386-redhat-linux --build=i386-redhat-linux --target=arm-hisiv300-linux-uclibcgnueabi --prefix=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/arm-hisiv300-linux --enable-threads --disable-libmudflap --disable-libssp --disable-libstdcxx-pch --with-arch=armv5te --with-gnu-as --with-gnu-ld --enable-languages=c,c++ --enable-shared --enable-lto --enable-symvers=gnu --enable-__cxa_atexit --enable-nls --enable-clocale=gnu --enable-extra-hisi-multilibs --with-sysroot=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/arm-hisiv300-linux/target --with-build-sysroot=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/arm-hisiv300-linux/target --with-gmp=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-mpfr=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-mpc=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-ppl=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-cloog=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-libelf=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --enable-libgomp --disable-libitm --enable-poison-system-directories --with-libelf=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-pkgversion=Hisilicon_v300 --with-bugurl=http://www.hisilicon.com/cn/service/claim.html
Thread model: posix
gcc version 4.8.3 20131202 (prerelease) (Hisilicon_v300) 
COLLECT_GCC_OPTIONS='-v' '-o' 'CMakeFiles/cmTC_cd9c5.dir/CMakeCCompilerABI.c.o' '-c' '-march=armv5te' '-mtls-dialect=gnu'
 /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/cc1 -quiet -v -imultilib . -imultiarch arm-linux-gnueabi -iprefix /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/ -isysroot /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target /usr/local/share/cmake-3.15/Modules/CMakeCCompilerABI.c -quiet -dumpbase CMakeCCompilerABI.c -march=armv5te -mtls-dialect=gnu -auxbase-strip CMakeFiles/cmTC_cd9c5.dir/CMakeCCompilerABI.c.o -version -o /tmp/cccuEJVF.s
GNU C (Hisilicon_v300) version 4.8.3 20131202 (prerelease) (arm-hisiv300-linux-uclibcgnueabi)
	compiled by GNU C version 4.1.2 20080704 (Red Hat 4.1.2-44), GMP version 5.0.5, MPFR version 3.1.1-p2, MPC version 1.0.1
GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
ignoring duplicate directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/../../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include"
ignoring nonexistent directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/local/include/arm-linux-gnueabi"
ignoring nonexistent directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/local/include"
ignoring duplicate directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/../../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include-fixed"
ignoring duplicate directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/../../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include"
ignoring nonexistent directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/include/arm-linux-gnueabi"
#include "..." search starts here:
#include <...> search starts here:
 /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include
 /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include-fixed
 /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include
 /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/include
End of search list.
GNU C (Hisilicon_v300) version 4.8.3 20131202 (prerelease) (arm-hisiv300-linux-uclibcgnueabi)
	compiled by GNU C version 4.1.2 20080704 (Red Hat 4.1.2-44), GMP version 5.0.5, MPFR version 3.1.1-p2, MPC version 1.0.1
GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
Compiler executable checksum: 9fc97a20a46072ee254f939ed67c185b
COLLECT_GCC_OPTIONS='-v' '-o' 'CMakeFiles/cmTC_cd9c5.dir/CMakeCCompilerABI.c.o' '-c' '-march=armv5te' '-mtls-dialect=gnu'
 /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/bin/as -v -march=armv5te -meabi=5 -o CMakeFiles/cmTC_cd9c5.dir/CMakeCCompilerABI.c.o /tmp/cccuEJVF.s
GNU assembler version 2.24.0 (arm-hisiv300-linux-uclibcgnueabi) using BFD version (Hisilicon_v300) 2.24.0.20131220
COMPILER_PATH=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/bin/
LIBRARY_PATH=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/lib/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/lib/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/
COLLECT_GCC_OPTIONS='-v' '-o' 'CMakeFiles/cmTC_cd9c5.dir/CMakeCCompilerABI.c.o' '-c' '-march=armv5te' '-mtls-dialect=gnu'
Linking C executable cmTC_cd9c5
/usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_cd9c5.dir/link.txt --verbose=1
/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc     -v CMakeFiles/cmTC_cd9c5.dir/CMakeCCompilerABI.c.o  -o cmTC_cd9c5 
Using built-in specs.
COLLECT_GCC=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc
COLLECT_LTO_WRAPPER=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/lto-wrapper
Target: arm-hisiv300-linux-uclibcgnueabi
Configured with: '../gcc~linaro-4.8-2013.12/configure' --host=i386-redhat-linux --build=i386-redhat-linux --target=arm-hisiv300-linux-uclibcgnueabi --prefix=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/arm-hisiv300-linux --enable-threads --disable-libmudflap --disable-libssp --disable-libstdcxx-pch --with-arch=armv5te --with-gnu-as --with-gnu-ld --enable-languages=c,c++ --enable-shared --enable-lto --enable-symvers=gnu --enable-__cxa_atexit --enable-nls --enable-clocale=gnu --enable-extra-hisi-multilibs --with-sysroot=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/arm-hisiv300-linux/target --with-build-sysroot=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/arm-hisiv300-linux/target --with-gmp=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-mpfr=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-mpc=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-ppl=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-cloog=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-libelf=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --enable-libgomp --disable-libitm --enable-poison-system-directories --with-libelf=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-pkgversion=Hisilicon_v300 --with-bugurl=http://www.hisilicon.com/cn/service/claim.html
Thread model: posix
gcc version 4.8.3 20131202 (prerelease) (Hisilicon_v300) 
COMPILER_PATH=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/bin/
LIBRARY_PATH=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/lib/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/lib/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/
COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_cd9c5' '-march=armv5te' '-mtls-dialect=gnu'
 /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/collect2 --sysroot=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target --eh-frame-hdr -dynamic-linker /lib/ld-uClibc.so.0 -X -m armelf_linux_eabi -o cmTC_cd9c5 /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/crt1.o /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/crti.o /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/crtbegin.o -L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3 -L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc -L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/lib -L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/lib -L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib CMakeFiles/cmTC_cd9c5.dir/CMakeCCompilerABI.c.o -lgcc --as-needed -lgcc_s --no-as-needed -lc -lgcc --as-needed -lgcc_s --no-as-needed /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/crtend.o /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/crtn.o
make[1]: Leaving directory '/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles/CMakeTmp'



Parsed C implicit include dir info from above output: rv=done
  found start of include info
  found start of implicit include info
    add: [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include]
    add: [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include-fixed]
    add: [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include]
    add: [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/include]
  end of search list found
  collapse include dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include] ==> [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include]
  collapse include dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include-fixed] ==> [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include-fixed]
  collapse include dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include] ==> [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/arm-hisiv300-linux-uclibcgnueabi/include]
  collapse include dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/include] ==> [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/target/usr/include]
  implicit include dirs: [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include;/opt/hisi-linux/x86-arm/arm-hisiv300-linux/lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include-fixed;/opt/hisi-linux/x86-arm/arm-hisiv300-linux/arm-hisiv300-linux-uclibcgnueabi/include;/opt/hisi-linux/x86-arm/arm-hisiv300-linux/target/usr/include]


Parsed C implicit link information from above output:
  link line regex: [^( *|.*[/\])(ld|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\]+-)?ld|collect2)[^/\]*( |$)]
  ignore line: [Change Dir: /home/book/hisi3518_lora/cmake-build-debug/CMakeFiles/CMakeTmp]
  ignore line: []
  ignore line: [Run Build Command(s):/usr/bin/make cmTC_cd9c5/fast && /usr/bin/make -f CMakeFiles/cmTC_cd9c5.dir/build.make CMakeFiles/cmTC_cd9c5.dir/build]
  ignore line: [make[1]: Entering directory '/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles/CMakeTmp']
  ignore line: [Building C object CMakeFiles/cmTC_cd9c5.dir/CMakeCCompilerABI.c.o]
  ignore line: [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc   -v -o CMakeFiles/cmTC_cd9c5.dir/CMakeCCompilerABI.c.o   -c /usr/local/share/cmake-3.15/Modules/CMakeCCompilerABI.c]
  ignore line: [Using built-in specs.]
  ignore line: [COLLECT_GCC=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc]
  ignore line: [Target: arm-hisiv300-linux-uclibcgnueabi]
  ignore line: [Configured with: '../gcc~linaro-4.8-2013.12/configure' --host=i386-redhat-linux --build=i386-redhat-linux --target=arm-hisiv300-linux-uclibcgnueabi --prefix=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/arm-hisiv300-linux --enable-threads --disable-libmudflap --disable-libssp --disable-libstdcxx-pch --with-arch=armv5te --with-gnu-as --with-gnu-ld --enable-languages=c,c++ --enable-shared --enable-lto --enable-symvers=gnu --enable-__cxa_atexit --enable-nls --enable-clocale=gnu --enable-extra-hisi-multilibs --with-sysroot=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/arm-hisiv300-linux/target --with-build-sysroot=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/arm-hisiv300-linux/target --with-gmp=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-mpfr=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-mpc=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-ppl=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-cloog=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-libelf=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --enable-libgomp --disable-libitm --enable-poison-system-directories --with-libelf=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-pkgversion=Hisilicon_v300 --with-bugurl=http://www.hisilicon.com/cn/service/claim.html]
  ignore line: [Thread model: posix]
  ignore line: [gcc version 4.8.3 20131202 (prerelease) (Hisilicon_v300) ]
  ignore line: [COLLECT_GCC_OPTIONS='-v' '-o' 'CMakeFiles/cmTC_cd9c5.dir/CMakeCCompilerABI.c.o' '-c' '-march=armv5te' '-mtls-dialect=gnu']
  ignore line: [ /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/cc1 -quiet -v -imultilib . -imultiarch arm-linux-gnueabi -iprefix /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/ -isysroot /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target /usr/local/share/cmake-3.15/Modules/CMakeCCompilerABI.c -quiet -dumpbase CMakeCCompilerABI.c -march=armv5te -mtls-dialect=gnu -auxbase-strip CMakeFiles/cmTC_cd9c5.dir/CMakeCCompilerABI.c.o -version -o /tmp/cccuEJVF.s]
  ignore line: [GNU C (Hisilicon_v300) version 4.8.3 20131202 (prerelease) (arm-hisiv300-linux-uclibcgnueabi)]
  ignore line: [	compiled by GNU C version 4.1.2 20080704 (Red Hat 4.1.2-44), GMP version 5.0.5, MPFR version 3.1.1-p2, MPC version 1.0.1]
  ignore line: [GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072]
  ignore line: [ignoring duplicate directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/../../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include"]
  ignore line: [ignoring nonexistent directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/local/include/arm-linux-gnueabi"]
  ignore line: [ignoring nonexistent directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/local/include"]
  ignore line: [ignoring duplicate directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/../../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include-fixed"]
  ignore line: [ignoring duplicate directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/../../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include"]
  ignore line: [ignoring nonexistent directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/include/arm-linux-gnueabi"]
  ignore line: [#include "..." search starts here:]
  ignore line: [#include <...> search starts here:]
  ignore line: [ /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include]
  ignore line: [ /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include-fixed]
  ignore line: [ /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include]
  ignore line: [ /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/include]
  ignore line: [End of search list.]
  ignore line: [GNU C (Hisilicon_v300) version 4.8.3 20131202 (prerelease) (arm-hisiv300-linux-uclibcgnueabi)]
  ignore line: [	compiled by GNU C version 4.1.2 20080704 (Red Hat 4.1.2-44), GMP version 5.0.5, MPFR version 3.1.1-p2, MPC version 1.0.1]
  ignore line: [GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072]
  ignore line: [Compiler executable checksum: 9fc97a20a46072ee254f939ed67c185b]
  ignore line: [COLLECT_GCC_OPTIONS='-v' '-o' 'CMakeFiles/cmTC_cd9c5.dir/CMakeCCompilerABI.c.o' '-c' '-march=armv5te' '-mtls-dialect=gnu']
  ignore line: [ /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/bin/as -v -march=armv5te -meabi=5 -o CMakeFiles/cmTC_cd9c5.dir/CMakeCCompilerABI.c.o /tmp/cccuEJVF.s]
  ignore line: [GNU assembler version 2.24.0 (arm-hisiv300-linux-uclibcgnueabi) using BFD version (Hisilicon_v300) 2.24.0.20131220]
  ignore line: [COMPILER_PATH=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/bin/]
  ignore line: [LIBRARY_PATH=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/lib/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/lib/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/]
  ignore line: [COLLECT_GCC_OPTIONS='-v' '-o' 'CMakeFiles/cmTC_cd9c5.dir/CMakeCCompilerABI.c.o' '-c' '-march=armv5te' '-mtls-dialect=gnu']
  ignore line: [Linking C executable cmTC_cd9c5]
  ignore line: [/usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_cd9c5.dir/link.txt --verbose=1]
  ignore line: [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc     -v CMakeFiles/cmTC_cd9c5.dir/CMakeCCompilerABI.c.o  -o cmTC_cd9c5 ]
  ignore line: [Using built-in specs.]
  ignore line: [COLLECT_GCC=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-gcc]
  ignore line: [COLLECT_LTO_WRAPPER=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/lto-wrapper]
  ignore line: [Target: arm-hisiv300-linux-uclibcgnueabi]
  ignore line: [Configured with: '../gcc~linaro-4.8-2013.12/configure' --host=i386-redhat-linux --build=i386-redhat-linux --target=arm-hisiv300-linux-uclibcgnueabi --prefix=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/arm-hisiv300-linux --enable-threads --disable-libmudflap --disable-libssp --disable-libstdcxx-pch --with-arch=armv5te --with-gnu-as --with-gnu-ld --enable-languages=c,c++ --enable-shared --enable-lto --enable-symvers=gnu --enable-__cxa_atexit --enable-nls --enable-clocale=gnu --enable-extra-hisi-multilibs --with-sysroot=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/arm-hisiv300-linux/target --with-build-sysroot=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/arm-hisiv300-linux/target --with-gmp=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-mpfr=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-mpc=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-ppl=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-cloog=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-libelf=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --enable-libgomp --disable-libitm --enable-poison-system-directories --with-libelf=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-pkgversion=Hisilicon_v300 --with-bugurl=http://www.hisilicon.com/cn/service/claim.html]
  ignore line: [Thread model: posix]
  ignore line: [gcc version 4.8.3 20131202 (prerelease) (Hisilicon_v300) ]
  ignore line: [COMPILER_PATH=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/bin/]
  ignore line: [LIBRARY_PATH=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/lib/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/lib/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/]
  ignore line: [COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_cd9c5' '-march=armv5te' '-mtls-dialect=gnu']
  link line: [ /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/collect2 --sysroot=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target --eh-frame-hdr -dynamic-linker /lib/ld-uClibc.so.0 -X -m armelf_linux_eabi -o cmTC_cd9c5 /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/crt1.o /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/crti.o /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/crtbegin.o -L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3 -L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc -L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/lib -L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/lib -L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib CMakeFiles/cmTC_cd9c5.dir/CMakeCCompilerABI.c.o -lgcc --as-needed -lgcc_s --no-as-needed -lc -lgcc --as-needed -lgcc_s --no-as-needed /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/crtend.o /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/crtn.o]
    arg [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/collect2] ==> ignore
    arg [--sysroot=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target] ==> ignore
    arg [--eh-frame-hdr] ==> ignore
    arg [-dynamic-linker] ==> ignore
    arg [/lib/ld-uClibc.so.0] ==> ignore
    arg [-X] ==> ignore
    arg [-m] ==> ignore
    arg [armelf_linux_eabi] ==> ignore
    arg [-o] ==> ignore
    arg [cmTC_cd9c5] ==> ignore
    arg [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/crt1.o] ==> ignore
    arg [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/crti.o] ==> ignore
    arg [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/crtbegin.o] ==> ignore
    arg [-L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3] ==> dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3]
    arg [-L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc] ==> dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc]
    arg [-L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/lib] ==> dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/lib]
    arg [-L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/lib] ==> dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/lib]
    arg [-L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib] ==> dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib]
    arg [CMakeFiles/cmTC_cd9c5.dir/CMakeCCompilerABI.c.o] ==> ignore
    arg [-lgcc] ==> lib [gcc]
    arg [--as-needed] ==> ignore
    arg [-lgcc_s] ==> lib [gcc_s]
    arg [--no-as-needed] ==> ignore
    arg [-lc] ==> lib [c]
    arg [-lgcc] ==> lib [gcc]
    arg [--as-needed] ==> ignore
    arg [-lgcc_s] ==> lib [gcc_s]
    arg [--no-as-needed] ==> ignore
    arg [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/crtend.o] ==> ignore
    arg [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/crtn.o] ==> ignore
  collapse library dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3] ==> [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3]
  collapse library dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc] ==> [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/lib/gcc]
  collapse library dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/lib] ==> [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/arm-hisiv300-linux-uclibcgnueabi/lib]
  collapse library dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/lib] ==> [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/target/lib]
  collapse library dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib] ==> [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/target/usr/lib]
  implicit libs: [gcc;gcc_s;c;gcc;gcc_s]
  implicit dirs: [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3;/opt/hisi-linux/x86-arm/arm-hisiv300-linux/lib/gcc;/opt/hisi-linux/x86-arm/arm-hisiv300-linux/arm-hisiv300-linux-uclibcgnueabi/lib;/opt/hisi-linux/x86-arm/arm-hisiv300-linux/target/lib;/opt/hisi-linux/x86-arm/arm-hisiv300-linux/target/usr/lib]
  implicit fwks: []


Determining if the CXX compiler works passed with the following output:
Change Dir: /home/book/hisi3518_lora/cmake-build-debug/CMakeFiles/CMakeTmp

Run Build Command(s):/usr/bin/make cmTC_19e1f/fast && /usr/bin/make -f CMakeFiles/cmTC_19e1f.dir/build.make CMakeFiles/cmTC_19e1f.dir/build
make[1]: Entering directory '/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles/CMakeTmp'
Building CXX object CMakeFiles/cmTC_19e1f.dir/testCXXCompiler.cxx.o
/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-g++     -o CMakeFiles/cmTC_19e1f.dir/testCXXCompiler.cxx.o -c /home/book/hisi3518_lora/cmake-build-debug/CMakeFiles/CMakeTmp/testCXXCompiler.cxx
Linking CXX executable cmTC_19e1f
/usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_19e1f.dir/link.txt --verbose=1
/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-g++       CMakeFiles/cmTC_19e1f.dir/testCXXCompiler.cxx.o  -o cmTC_19e1f 
make[1]: Leaving directory '/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles/CMakeTmp'



Detecting CXX compiler ABI info compiled with the following output:
Change Dir: /home/book/hisi3518_lora/cmake-build-debug/CMakeFiles/CMakeTmp

Run Build Command(s):/usr/bin/make cmTC_ead99/fast && /usr/bin/make -f CMakeFiles/cmTC_ead99.dir/build.make CMakeFiles/cmTC_ead99.dir/build
make[1]: Entering directory '/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles/CMakeTmp'
Building CXX object CMakeFiles/cmTC_ead99.dir/CMakeCXXCompilerABI.cpp.o
/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-g++    -v -o CMakeFiles/cmTC_ead99.dir/CMakeCXXCompilerABI.cpp.o -c /usr/local/share/cmake-3.15/Modules/CMakeCXXCompilerABI.cpp
Using built-in specs.
COLLECT_GCC=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-g++
Target: arm-hisiv300-linux-uclibcgnueabi
Configured with: '../gcc~linaro-4.8-2013.12/configure' --host=i386-redhat-linux --build=i386-redhat-linux --target=arm-hisiv300-linux-uclibcgnueabi --prefix=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/arm-hisiv300-linux --enable-threads --disable-libmudflap --disable-libssp --disable-libstdcxx-pch --with-arch=armv5te --with-gnu-as --with-gnu-ld --enable-languages=c,c++ --enable-shared --enable-lto --enable-symvers=gnu --enable-__cxa_atexit --enable-nls --enable-clocale=gnu --enable-extra-hisi-multilibs --with-sysroot=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/arm-hisiv300-linux/target --with-build-sysroot=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/arm-hisiv300-linux/target --with-gmp=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-mpfr=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-mpc=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-ppl=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-cloog=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-libelf=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --enable-libgomp --disable-libitm --enable-poison-system-directories --with-libelf=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-pkgversion=Hisilicon_v300 --with-bugurl=http://www.hisilicon.com/cn/service/claim.html
Thread model: posix
gcc version 4.8.3 20131202 (prerelease) (Hisilicon_v300) 
COLLECT_GCC_OPTIONS='-v' '-o' 'CMakeFiles/cmTC_ead99.dir/CMakeCXXCompilerABI.cpp.o' '-c' '-shared-libgcc' '-march=armv5te' '-mtls-dialect=gnu'
 /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/cc1plus -quiet -v -imultilib . -imultiarch arm-linux-gnueabi -iprefix /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/ -isysroot /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target -D_GNU_SOURCE /usr/local/share/cmake-3.15/Modules/CMakeCXXCompilerABI.cpp -quiet -dumpbase CMakeCXXCompilerABI.cpp -march=armv5te -mtls-dialect=gnu -auxbase-strip CMakeFiles/cmTC_ead99.dir/CMakeCXXCompilerABI.cpp.o -version -o /tmp/ccqITE1Y.s
GNU C++ (Hisilicon_v300) version 4.8.3 20131202 (prerelease) (arm-hisiv300-linux-uclibcgnueabi)
	compiled by GNU C version 4.1.2 20080704 (Red Hat 4.1.2-44), GMP version 5.0.5, MPFR version 3.1.1-p2, MPC version 1.0.1
GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
ignoring duplicate directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/../../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include/c++/4.8.3"
ignoring duplicate directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/../../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include/c++/4.8.3/arm-hisiv300-linux-uclibcgnueabi/."
ignoring duplicate directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/../../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include/c++/4.8.3/backward"
ignoring duplicate directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/../../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include"
ignoring nonexistent directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/local/include/arm-linux-gnueabi"
ignoring nonexistent directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/local/include"
ignoring duplicate directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/../../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include-fixed"
ignoring duplicate directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/../../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include"
ignoring nonexistent directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/include/arm-linux-gnueabi"
#include "..." search starts here:
#include <...> search starts here:
 /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include/c++/4.8.3
 /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include/c++/4.8.3/arm-hisiv300-linux-uclibcgnueabi/.
 /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include/c++/4.8.3/backward
 /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include
 /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include-fixed
 /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include
 /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/include
End of search list.
GNU C++ (Hisilicon_v300) version 4.8.3 20131202 (prerelease) (arm-hisiv300-linux-uclibcgnueabi)
	compiled by GNU C version 4.1.2 20080704 (Red Hat 4.1.2-44), GMP version 5.0.5, MPFR version 3.1.1-p2, MPC version 1.0.1
GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
Compiler executable checksum: 2e35cf80c4d0f4018baa116fb383dcc5
COLLECT_GCC_OPTIONS='-v' '-o' 'CMakeFiles/cmTC_ead99.dir/CMakeCXXCompilerABI.cpp.o' '-c' '-shared-libgcc' '-march=armv5te' '-mtls-dialect=gnu'
 /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/bin/as -v -march=armv5te -meabi=5 -o CMakeFiles/cmTC_ead99.dir/CMakeCXXCompilerABI.cpp.o /tmp/ccqITE1Y.s
GNU assembler version 2.24.0 (arm-hisiv300-linux-uclibcgnueabi) using BFD version (Hisilicon_v300) 2.24.0.20131220
COMPILER_PATH=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/bin/
LIBRARY_PATH=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/lib/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/lib/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/
COLLECT_GCC_OPTIONS='-v' '-o' 'CMakeFiles/cmTC_ead99.dir/CMakeCXXCompilerABI.cpp.o' '-c' '-shared-libgcc' '-march=armv5te' '-mtls-dialect=gnu'
Linking CXX executable cmTC_ead99
/usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_ead99.dir/link.txt --verbose=1
/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-g++      -v CMakeFiles/cmTC_ead99.dir/CMakeCXXCompilerABI.cpp.o  -o cmTC_ead99 
Using built-in specs.
COLLECT_GCC=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-g++
COLLECT_LTO_WRAPPER=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/lto-wrapper
Target: arm-hisiv300-linux-uclibcgnueabi
Configured with: '../gcc~linaro-4.8-2013.12/configure' --host=i386-redhat-linux --build=i386-redhat-linux --target=arm-hisiv300-linux-uclibcgnueabi --prefix=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/arm-hisiv300-linux --enable-threads --disable-libmudflap --disable-libssp --disable-libstdcxx-pch --with-arch=armv5te --with-gnu-as --with-gnu-ld --enable-languages=c,c++ --enable-shared --enable-lto --enable-symvers=gnu --enable-__cxa_atexit --enable-nls --enable-clocale=gnu --enable-extra-hisi-multilibs --with-sysroot=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/arm-hisiv300-linux/target --with-build-sysroot=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/arm-hisiv300-linux/target --with-gmp=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-mpfr=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-mpc=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-ppl=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-cloog=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-libelf=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --enable-libgomp --disable-libitm --enable-poison-system-directories --with-libelf=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-pkgversion=Hisilicon_v300 --with-bugurl=http://www.hisilicon.com/cn/service/claim.html
Thread model: posix
gcc version 4.8.3 20131202 (prerelease) (Hisilicon_v300) 
COMPILER_PATH=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/bin/
LIBRARY_PATH=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/lib/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/lib/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/
COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_ead99' '-shared-libgcc' '-march=armv5te' '-mtls-dialect=gnu'
 /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/collect2 --sysroot=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target --eh-frame-hdr -dynamic-linker /lib/ld-uClibc.so.0 -X -m armelf_linux_eabi -o cmTC_ead99 /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/crt1.o /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/crti.o /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/crtbegin.o -L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3 -L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc -L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/lib -L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/lib -L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib CMakeFiles/cmTC_ead99.dir/CMakeCXXCompilerABI.cpp.o -lstdc++ -lm -lgcc_s -lgcc -lc -lgcc_s -lgcc /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/crtend.o /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/crtn.o
make[1]: Leaving directory '/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles/CMakeTmp'



Parsed CXX implicit include dir info from above output: rv=done
  found start of include info
  found start of implicit include info
    add: [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include/c++/4.8.3]
    add: [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include/c++/4.8.3/arm-hisiv300-linux-uclibcgnueabi/.]
    add: [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include/c++/4.8.3/backward]
    add: [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include]
    add: [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include-fixed]
    add: [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include]
    add: [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/include]
  end of search list found
  collapse include dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include/c++/4.8.3] ==> [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/arm-hisiv300-linux-uclibcgnueabi/include/c++/4.8.3]
  collapse include dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include/c++/4.8.3/arm-hisiv300-linux-uclibcgnueabi/.] ==> [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/arm-hisiv300-linux-uclibcgnueabi/include/c++/4.8.3/arm-hisiv300-linux-uclibcgnueabi]
  collapse include dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include/c++/4.8.3/backward] ==> [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/arm-hisiv300-linux-uclibcgnueabi/include/c++/4.8.3/backward]
  collapse include dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include] ==> [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include]
  collapse include dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include-fixed] ==> [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include-fixed]
  collapse include dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include] ==> [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/arm-hisiv300-linux-uclibcgnueabi/include]
  collapse include dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/include] ==> [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/target/usr/include]
  implicit include dirs: [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/arm-hisiv300-linux-uclibcgnueabi/include/c++/4.8.3;/opt/hisi-linux/x86-arm/arm-hisiv300-linux/arm-hisiv300-linux-uclibcgnueabi/include/c++/4.8.3/arm-hisiv300-linux-uclibcgnueabi;/opt/hisi-linux/x86-arm/arm-hisiv300-linux/arm-hisiv300-linux-uclibcgnueabi/include/c++/4.8.3/backward;/opt/hisi-linux/x86-arm/arm-hisiv300-linux/lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include;/opt/hisi-linux/x86-arm/arm-hisiv300-linux/lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include-fixed;/opt/hisi-linux/x86-arm/arm-hisiv300-linux/arm-hisiv300-linux-uclibcgnueabi/include;/opt/hisi-linux/x86-arm/arm-hisiv300-linux/target/usr/include]


Parsed CXX implicit link information from above output:
  link line regex: [^( *|.*[/\])(ld|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\]+-)?ld|collect2)[^/\]*( |$)]
  ignore line: [Change Dir: /home/book/hisi3518_lora/cmake-build-debug/CMakeFiles/CMakeTmp]
  ignore line: []
  ignore line: [Run Build Command(s):/usr/bin/make cmTC_ead99/fast && /usr/bin/make -f CMakeFiles/cmTC_ead99.dir/build.make CMakeFiles/cmTC_ead99.dir/build]
  ignore line: [make[1]: Entering directory '/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles/CMakeTmp']
  ignore line: [Building CXX object CMakeFiles/cmTC_ead99.dir/CMakeCXXCompilerABI.cpp.o]
  ignore line: [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-g++    -v -o CMakeFiles/cmTC_ead99.dir/CMakeCXXCompilerABI.cpp.o -c /usr/local/share/cmake-3.15/Modules/CMakeCXXCompilerABI.cpp]
  ignore line: [Using built-in specs.]
  ignore line: [COLLECT_GCC=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-g++]
  ignore line: [Target: arm-hisiv300-linux-uclibcgnueabi]
  ignore line: [Configured with: '../gcc~linaro-4.8-2013.12/configure' --host=i386-redhat-linux --build=i386-redhat-linux --target=arm-hisiv300-linux-uclibcgnueabi --prefix=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/arm-hisiv300-linux --enable-threads --disable-libmudflap --disable-libssp --disable-libstdcxx-pch --with-arch=armv5te --with-gnu-as --with-gnu-ld --enable-languages=c,c++ --enable-shared --enable-lto --enable-symvers=gnu --enable-__cxa_atexit --enable-nls --enable-clocale=gnu --enable-extra-hisi-multilibs --with-sysroot=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/arm-hisiv300-linux/target --with-build-sysroot=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/arm-hisiv300-linux/target --with-gmp=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-mpfr=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-mpc=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-ppl=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-cloog=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-libelf=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --enable-libgomp --disable-libitm --enable-poison-system-directories --with-libelf=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-pkgversion=Hisilicon_v300 --with-bugurl=http://www.hisilicon.com/cn/service/claim.html]
  ignore line: [Thread model: posix]
  ignore line: [gcc version 4.8.3 20131202 (prerelease) (Hisilicon_v300) ]
  ignore line: [COLLECT_GCC_OPTIONS='-v' '-o' 'CMakeFiles/cmTC_ead99.dir/CMakeCXXCompilerABI.cpp.o' '-c' '-shared-libgcc' '-march=armv5te' '-mtls-dialect=gnu']
  ignore line: [ /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/cc1plus -quiet -v -imultilib . -imultiarch arm-linux-gnueabi -iprefix /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/ -isysroot /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target -D_GNU_SOURCE /usr/local/share/cmake-3.15/Modules/CMakeCXXCompilerABI.cpp -quiet -dumpbase CMakeCXXCompilerABI.cpp -march=armv5te -mtls-dialect=gnu -auxbase-strip CMakeFiles/cmTC_ead99.dir/CMakeCXXCompilerABI.cpp.o -version -o /tmp/ccqITE1Y.s]
  ignore line: [GNU C++ (Hisilicon_v300) version 4.8.3 20131202 (prerelease) (arm-hisiv300-linux-uclibcgnueabi)]
  ignore line: [	compiled by GNU C version 4.1.2 20080704 (Red Hat 4.1.2-44), GMP version 5.0.5, MPFR version 3.1.1-p2, MPC version 1.0.1]
  ignore line: [GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072]
  ignore line: [ignoring duplicate directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/../../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include/c++/4.8.3"]
  ignore line: [ignoring duplicate directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/../../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include/c++/4.8.3/arm-hisiv300-linux-uclibcgnueabi/."]
  ignore line: [ignoring duplicate directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/../../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include/c++/4.8.3/backward"]
  ignore line: [ignoring duplicate directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/../../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include"]
  ignore line: [ignoring nonexistent directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/local/include/arm-linux-gnueabi"]
  ignore line: [ignoring nonexistent directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/local/include"]
  ignore line: [ignoring duplicate directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/../../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include-fixed"]
  ignore line: [ignoring duplicate directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/../../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include"]
  ignore line: [ignoring nonexistent directory "/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/include/arm-linux-gnueabi"]
  ignore line: [#include "..." search starts here:]
  ignore line: [#include <...> search starts here:]
  ignore line: [ /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include/c++/4.8.3]
  ignore line: [ /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include/c++/4.8.3/arm-hisiv300-linux-uclibcgnueabi/.]
  ignore line: [ /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include/c++/4.8.3/backward]
  ignore line: [ /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include]
  ignore line: [ /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/include-fixed]
  ignore line: [ /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/include]
  ignore line: [ /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/include]
  ignore line: [End of search list.]
  ignore line: [GNU C++ (Hisilicon_v300) version 4.8.3 20131202 (prerelease) (arm-hisiv300-linux-uclibcgnueabi)]
  ignore line: [	compiled by GNU C version 4.1.2 20080704 (Red Hat 4.1.2-44), GMP version 5.0.5, MPFR version 3.1.1-p2, MPC version 1.0.1]
  ignore line: [GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072]
  ignore line: [Compiler executable checksum: 2e35cf80c4d0f4018baa116fb383dcc5]
  ignore line: [COLLECT_GCC_OPTIONS='-v' '-o' 'CMakeFiles/cmTC_ead99.dir/CMakeCXXCompilerABI.cpp.o' '-c' '-shared-libgcc' '-march=armv5te' '-mtls-dialect=gnu']
  ignore line: [ /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/bin/as -v -march=armv5te -meabi=5 -o CMakeFiles/cmTC_ead99.dir/CMakeCXXCompilerABI.cpp.o /tmp/ccqITE1Y.s]
  ignore line: [GNU assembler version 2.24.0 (arm-hisiv300-linux-uclibcgnueabi) using BFD version (Hisilicon_v300) 2.24.0.20131220]
  ignore line: [COMPILER_PATH=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/bin/]
  ignore line: [LIBRARY_PATH=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/lib/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/lib/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/]
  ignore line: [COLLECT_GCC_OPTIONS='-v' '-o' 'CMakeFiles/cmTC_ead99.dir/CMakeCXXCompilerABI.cpp.o' '-c' '-shared-libgcc' '-march=armv5te' '-mtls-dialect=gnu']
  ignore line: [Linking CXX executable cmTC_ead99]
  ignore line: [/usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_ead99.dir/link.txt --verbose=1]
  ignore line: [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-g++      -v CMakeFiles/cmTC_ead99.dir/CMakeCXXCompilerABI.cpp.o  -o cmTC_ead99 ]
  ignore line: [Using built-in specs.]
  ignore line: [COLLECT_GCC=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-g++]
  ignore line: [COLLECT_LTO_WRAPPER=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/lto-wrapper]
  ignore line: [Target: arm-hisiv300-linux-uclibcgnueabi]
  ignore line: [Configured with: '../gcc~linaro-4.8-2013.12/configure' --host=i386-redhat-linux --build=i386-redhat-linux --target=arm-hisiv300-linux-uclibcgnueabi --prefix=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/arm-hisiv300-linux --enable-threads --disable-libmudflap --disable-libssp --disable-libstdcxx-pch --with-arch=armv5te --with-gnu-as --with-gnu-ld --enable-languages=c,c++ --enable-shared --enable-lto --enable-symvers=gnu --enable-__cxa_atexit --enable-nls --enable-clocale=gnu --enable-extra-hisi-multilibs --with-sysroot=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/arm-hisiv300-linux/target --with-build-sysroot=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/arm-hisiv300-linux/target --with-gmp=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-mpfr=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-mpc=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-ppl=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-cloog=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-libelf=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --enable-libgomp --disable-libitm --enable-poison-system-directories --with-libelf=/home/sying/wucaiyuan_toolchain/v300/uclibc_gcc4.8_linaro_toolchain_optimized/install/host_lib --with-pkgversion=Hisilicon_v300 --with-bugurl=http://www.hisilicon.com/cn/service/claim.html]
  ignore line: [Thread model: posix]
  ignore line: [gcc version 4.8.3 20131202 (prerelease) (Hisilicon_v300) ]
  ignore line: [COMPILER_PATH=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/bin/]
  ignore line: [LIBRARY_PATH=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/lib/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/lib/:/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/]
  ignore line: [COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_ead99' '-shared-libgcc' '-march=armv5te' '-mtls-dialect=gnu']
  link line: [ /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/collect2 --sysroot=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target --eh-frame-hdr -dynamic-linker /lib/ld-uClibc.so.0 -X -m armelf_linux_eabi -o cmTC_ead99 /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/crt1.o /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/crti.o /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/crtbegin.o -L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3 -L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc -L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/lib -L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/lib -L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib CMakeFiles/cmTC_ead99.dir/CMakeCXXCompilerABI.cpp.o -lstdc++ -lm -lgcc_s -lgcc -lc -lgcc_s -lgcc /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/crtend.o /opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/crtn.o]
    arg [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../libexec/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/collect2] ==> ignore
    arg [--sysroot=/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target] ==> ignore
    arg [--eh-frame-hdr] ==> ignore
    arg [-dynamic-linker] ==> ignore
    arg [/lib/ld-uClibc.so.0] ==> ignore
    arg [-X] ==> ignore
    arg [-m] ==> ignore
    arg [armelf_linux_eabi] ==> ignore
    arg [-o] ==> ignore
    arg [cmTC_ead99] ==> ignore
    arg [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/crt1.o] ==> ignore
    arg [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/crti.o] ==> ignore
    arg [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/crtbegin.o] ==> ignore
    arg [-L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3] ==> dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3]
    arg [-L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc] ==> dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc]
    arg [-L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/lib] ==> dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/lib]
    arg [-L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/lib] ==> dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/lib]
    arg [-L/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib] ==> dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib]
    arg [CMakeFiles/cmTC_ead99.dir/CMakeCXXCompilerABI.cpp.o] ==> ignore
    arg [-lstdc++] ==> lib [stdc++]
    arg [-lm] ==> lib [m]
    arg [-lgcc_s] ==> lib [gcc_s]
    arg [-lgcc] ==> lib [gcc]
    arg [-lc] ==> lib [c]
    arg [-lgcc_s] ==> lib [gcc_s]
    arg [-lgcc] ==> lib [gcc]
    arg [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/crtend.o] ==> ignore
    arg [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib/crtn.o] ==> ignore
  collapse library dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3] ==> [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3]
  collapse library dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc] ==> [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/lib/gcc]
  collapse library dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3/../../../../arm-hisiv300-linux-uclibcgnueabi/lib] ==> [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/arm-hisiv300-linux-uclibcgnueabi/lib]
  collapse library dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/lib] ==> [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/target/lib]
  collapse library dir [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/../target/usr/lib] ==> [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/target/usr/lib]
  implicit libs: [stdc++;m;gcc_s;gcc;c;gcc_s;gcc]
  implicit dirs: [/opt/hisi-linux/x86-arm/arm-hisiv300-linux/lib/gcc/arm-hisiv300-linux-uclibcgnueabi/4.8.3;/opt/hisi-linux/x86-arm/arm-hisiv300-linux/lib/gcc;/opt/hisi-linux/x86-arm/arm-hisiv300-linux/arm-hisiv300-linux-uclibcgnueabi/lib;/opt/hisi-linux/x86-arm/arm-hisiv300-linux/target/lib;/opt/hisi-linux/x86-arm/arm-hisiv300-linux/target/usr/lib]
  implicit fwks: []




Detecting CXX [-std=c++1y] compiler features compiled with the following output:
Change Dir: /home/book/hisi3518_lora/cmake-build-debug/CMakeFiles/CMakeTmp

Run Build Command(s):/usr/bin/make cmTC_b91c2/fast && /usr/bin/make -f CMakeFiles/cmTC_b91c2.dir/build.make CMakeFiles/cmTC_b91c2.dir/build
make[1]: Entering directory '/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles/CMakeTmp'
Building CXX object CMakeFiles/cmTC_b91c2.dir/feature_tests.cxx.o
/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-g++    -std=c++1y -o CMakeFiles/cmTC_b91c2.dir/feature_tests.cxx.o -c /home/book/hisi3518_lora/cmake-build-debug/CMakeFiles/feature_tests.cxx
Linking CXX executable cmTC_b91c2
/usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_b91c2.dir/link.txt --verbose=1
/opt/hisi-linux/x86-arm/arm-hisiv300-linux/bin/arm-hisiv300-linux-uclibcgnueabi-g++       CMakeFiles/cmTC_b91c2.dir/feature_tests.cxx.o  -o cmTC_b91c2 
make[1]: Leaving directory '/home/book/hisi3518_lora/cmake-build-debug/CMakeFiles/CMakeTmp'



    Feature record: CXX_FEATURE:1cxx_template_template_parameters
    Feature record: CXX_FEATURE:1cxx_alias_templates
    Feature record: CXX_FEATURE:1cxx_alignas
    Feature record: CXX_FEATURE:1cxx_alignof
    Feature record: CXX_FEATURE:1cxx_attributes
    Feature record: CXX_FEATURE:1cxx_auto_type
    Feature record: CXX_FEATURE:1cxx_constexpr
    Feature record: CXX_FEATURE:1cxx_decltype
    Feature record: CXX_FEATURE:1cxx_decltype_incomplete_return_types
    Feature record: CXX_FEATURE:1cxx_default_function_template_args
    Feature record: CXX_FEATURE:1cxx_defaulted_functions
    Feature record: CXX_FEATURE:1cxx_defaulted_move_initializers
    Feature record: CXX_FEATURE:1cxx_delegating_constructors
    Feature record: CXX_FEATURE:1cxx_deleted_functions
    Feature record: CXX_FEATURE:1cxx_enum_forward_declarations
    Feature record: CXX_FEATURE:1cxx_explicit_conversions
    Feature record: CXX_FEATURE:1cxx_extended_friend_declarations
    Feature record: CXX_FEATURE:1cxx_extern_templates
    Feature record: CXX_FEATURE:1cxx_final
    Feature record: CXX_FEATURE:1cxx_func_identifier
    Feature record: CXX_FEATURE:1cxx_generalized_initializers
    Feature record: CXX_FEATURE:1cxx_inheriting_constructors
    Feature record: CXX_FEATURE:1cxx_inline_namespaces
    Feature record: CXX_FEATURE:1cxx_lambdas
    Feature record: CXX_FEATURE:1cxx_local_type_template_args
    Feature record: CXX_FEATURE:1cxx_long_long_type
    Feature record: CXX_FEATURE:1cxx_noexcept
    Feature record: CXX_FEATURE:1cxx_nonstatic_member_init
    Feature record: CXX_FEATURE:1cxx_nullptr
    Feature record: CXX_FEATURE:1cxx_override
    Feature record: CXX_FEATURE:1cxx_range_for
    Feature record: CXX_FEATURE:1cxx_raw_string_literals
    Feature record: CXX_FEATURE:1cxx_reference_qualified_functions
    Feature record: CXX_FEATURE:1cxx_right_angle_brackets
    Feature record: CXX_FEATURE:1cxx_rvalue_references
    Feature record: CXX_FEATURE:1cxx_sizeof_member
    Feature record: CXX_FEATURE:1cxx_static_assert
    Feature record: CXX_FEATURE:1cxx_strong_enums
    Feature record: CXX_FEATURE:1cxx_thread_local
    Feature record: CXX_FEATURE:1cxx_trailing_return_types
    Feature record: CXX_FEATURE:1cxx_unicode_literals
    Feature record: CXX_FEATURE:1cxx_uniform_initialization
    Feature record: CXX_FEATURE:1cxx_unrestricted_unions
    Feature record: CXX_FEATURE:1cxx_user_literals
    Feature record: CXX_FEATURE:1cxx_variadic_macros
    Feature record: CXX_FEATURE:1cxx_variadic_templates
    Feature record: CXX_FEATURE:0cxx_aggregate_default_initializers
    Feature record: CXX_FEATURE:0cxx_attribute_deprecated
    Feature record: CXX_FEATURE:0cxx_binary_literals
    Feature record: CXX_FEATURE:0cxx_contextual_conversions
    Feature record: CXX_FEATURE:0cxx_decltype_auto
    Feature record: CXX_FEATURE:0cxx_digit_separators
    Feature record: CXX_FEATURE:0cxx_generic_lambdas
    Feature record: CXX_FEATURE:0cxx_lambda_init_captures
    Feature record: CXX_FEATURE:0cxx_relaxed_constexpr
    Feature record: CXX_FEATURE:0cxx_return_type_deduction
    Feature record: CXX_FEATURE:0cxx_variable_templates
